package edu.nyu.scps.timepicker;

import java.util.Calendar;

import android.app.Activity;
import android.os.Bundle;
import android.text.format.DateFormat;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.TimePicker;
import android.widget.TimePicker.OnTimeChangedListener;

public class TimePickerActivity extends Activity {

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		final TextView textView = (TextView)findViewById(R.id.textView);

		//Configure the TimePicker.
		final TimePicker timePicker = (TimePicker)findViewById(R.id.timePicker);
		timePicker.setIs24HourView(DateFormat.is24HourFormat(this));

		timePicker.setOnTimeChangedListener(new OnTimeChangedListener() {
			@Override
			public void onTimeChanged(TimePicker view, int hour, int minute) {
				final Calendar calendar = Calendar.getInstance();
				calendar.set(Calendar.HOUR_OF_DAY, hour);	//hour is 0 to 23
				calendar.set(Calendar.MINUTE, minute);
				textView.setText(DateFormat.getTimeFormat(TimePickerActivity.this).format(calendar.getTime()));
			}
		});

		//Configure the button.
		final Button button = (Button)findViewById(R.id.button);

		button.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				final Calendar calendar = Calendar.getInstance();	//current time
				final int hour = calendar.get(Calendar.HOUR_OF_DAY);	//0 to 23
				final int minute = calendar.get(Calendar.MINUTE);
				timePicker.setCurrentHour(hour);	//calls onTimeChanged
				timePicker.setCurrentMinute(minute);
			}
		});
	}

}